--DROP VIEW v_viewalyzer;
CREATE OR REPLACE VIEW v_viewalyzer AS
SELECT a.database_name AS viewalyzer_database_name
      ,a.database_id AS viewalyzer_database_id
      ,a.database_comment AS viewalyzer_database_comment
      ,b.schema_id AS viewalyzer_schema_id
      ,b.schema_name AS viewalyzer_schema_name
      ,b.schema_comment AS viewalyzer_schema_comment
      ,c.view_id AS viewalyzer_view_id
      ,c.view_name AS viewalyzer_view_name
      ,c.view_comment AS viewalyzer_view_comment
      ,c.view_ddl AS viewalyzer_view_ddl
      ,d.owner_id AS viewalyzer_owner_id
      ,d.owner_name AS viewalyzer_owner_name
      ,d.owner_comment AS viewalyzer_owner_comment
FROM t_database a
     LEFT OUTER JOIN (t_schema b
                      LEFT OUTER JOIN (t_view c
                      INNER JOIN t_owner d ON (d.owner_id = c.view_owner_id))
                      ON (b.schema_id = c.view_schema_id))
                      ON (a.database_id = b.schema_database_id)
ORDER BY a.database_name, b.schema_name, c.view_name;
